Download it now!
Bug 66565 - Another problem with RTF IMPORT loosing table column widths
Summary: Another problem with RTF IMPORT loosing table column widths
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.0.0.3 release
Hardware: Other All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:4.2.0 target:4.1.1
Keywords: filter:rtf, regression
Depends on:
Blocks:
 
Reported: 2013-07-03 22:02 UTC by Mike Kaganski
Modified: 2015-12-17 12:18 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Kaganski 2013-07-03 22:02:44 UTC
The testcase with screenshots of how it was in 3.6, and how it is displayed by MS WordViewer, is in Attachment 67138 [details], taken from Bug 54900. The current state (started from 4.0.0, and still present in LO 4.1.0.1) was confirmed in the first comment to the abovementioned bug, so I mark this one as NEW right away.

Precisely: the tables in the RTF in attachment are imported with incorrect column widths in LO 4.x. As it was OK before, I mark it a Regression.

Initially, I supposed this bug to be a part of Bug 60644, but now that bug is considered closed, and this one is still present, so I file a new report for it.

Miklos, please, take over it, as you said in your comment to Bug 60644.
Comment 1 Miklos Vajna 2013-07-04 09:59:51 UTC
Right, thanks for opening a separate issue for the remaining problems, instead of reopening that one. :-)
Comment 2 Miklos Vajna 2013-07-09 08:25:12 UTC
Regression from c3b0f13546b30e5db3aecd311c7178e4e0933208, which was a fix for bug 45183.
Comment 3 Commit Notification 2013-07-09 11:06:01 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f6a00c88482ec30b61855cb6a95a5ad240b7a517

fdo#66565 RTF import: don't produce cell widths smaller than MINLAY



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Miklos Vajna 2013-07-09 13:39:45 UTC
Fixed on master, -4-1 review: https://gerrit.libreoffice.org/4785
Comment 5 Commit Notification 2013-07-09 16:53:17 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0e24e60733c8743de89abd779d77f1a8784894a6&h=libreoffice-4-1

fdo#66565 RTF import: don't produce cell widths smaller than MINLAY


It will be available in LibreOffice 4.1.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Mike Kaganski 2013-07-10 11:04:51 UTC
Verified fixed in Version: 4.2.0.0.alpha0+
Build ID: 6a9aa432f53b53310ce56588508d151e15112b16

Thank you! Now it's even better than in 3.6.
I can return to my Bug 54900 to describe the little inaccuracies left.
Comment 7 Robinson Tryon (qubit) 2015-12-17 12:18:49 UTC Comment hidden (obsolete)